<script setup lang="ts">
import { useMemoryGameStore } from '@/stores/memoryGameStore';
import { useGameStore } from '@/stores/gameStore';
import { ref } from 'vue';
import MemoryGameView from './MemoryGameView.vue';

const memoryGameStore = useMemoryGameStore();
memoryGameStore.setAnswerCount(4);
const gameStore = useGameStore();
const answers = ref(memoryGameStore.answers);

let completed = ref(false);
let showPlusOne = ref(false);

async function onCorrectAnswerClick() {
  completed.value = true;
  showPlusOne.value = true;
  await gameStore.addOnePoint();
}

function onNextClick() {
  gameStore.next();
}
</script>

<template>
  <MemoryGameView :answers="answers" :completed="completed" :show-plus-one="showPlusOne" @onCorrectAnswerClick="onCorrectAnswerClick" @onNextClick="onNextClick" />
</template>
